#include "tile.h"

#include <gint/display.h> 


extern image_t img_tuyau;
tileset_t tuyau={&img_tuyau, 8, 8, 1};

extern image_t img_brick;
tileset_t brick={&img_brick, 8, 8, 1};

extern image_t img_stone;
tileset_t earth={&img_stone, 8, 8, 1};

extern image_t img_gift;
tileset_t gift={&img_gift, 8, 8, 1};

extern image_t img_coin;
tileset_t coin={&img_coin, 8, 8, 1};

void draw_tile(int sx, int sy, tileset_t const * const set, int x, int y)
{
    dsubimage(sx, 64-sy-set->height,
    set->sheet, 
    x*(set->width+set->padding), y*(set->height+set->padding),
    set->width,set->height,
    DIMAGE_NONE);
}