#ifndef TILE_H
#define TILE_H

#include <gint/display.h>

typedef struct
{
	image_t * sheet;
	int width;
	int height;
	int padding;
} tileset_t;

extern tileset_t tuyau;
extern tileset_t brick;
extern tileset_t earth;
extern tileset_t gift;
extern tileset_t coin;

void draw_tile(int sx, int sy, tileset_t const * const set, int x, int y);

#endif